RNAPDIST(l)

NAME
RNApdist - calculate distances between thermodynamic RNA secondary structures ensembles

SYNOPSIS
RNApdist [-Xp|m|f|c] [-B [file]] [-T temp] [-4] [-d] [-noGU] [-noCloseGU] [-e e_set] [-P paramfile] [-nsp pairs]

DESCRIPTION
RNApdist reads RNA sequences from stdin and calculates structure distances between the thermodynamic ensembles of their secondary structures. To do this the partition function and matrix of base pairing probabilities is computed for each sequence. The probability matrix is then condensed into a vector holding for each base the probabilities of being unpaired, paired upstream, or paired downstream, respectively. These profiles are compared by a standard alignment algorithm. The base pair probabilities are also saved as postscript "dot plots" (as in RNAfold) in the files "name_dp.ps", where name is the name of the sequence, or a number if unnamed.

OPTIONS

-Xp compare the structures pairwise (p), that is first with 2nd, third with 4th etc. This is the default.

-Xm calculate the distance matrix between all structures. The output is formatted as a lower triangle matrix.

-Xf compare each structure to the first one.

-Xc compare continuously, that is i-th with (i+1)th structure.

-B [<file>]
    Print an "alignment" with gaps of the profiles, using the following symbols:
    ( ) essentially upstream (downstream) paired bases
    { } weakly upstream (downstream) paired bases
     | strongly paired bases without preference
     , weakly paired bases without preference
     . essentially unpaired bases.
    The aligned structures are written to <file>, if specified. Otherwise output is written to stdout, unless the -Xm option is set in which case "backtrack.file" is used.

The -T, -d, -4, -noGU, -noCloseGU, -e, -P, -nsp, options work as in RNAfold.

REFERENCES
Bonhoeffer S, McCaskill J S, Stadler P F, Schuster P, (1993) RNA multi-structure landscapes, Euro Biophys J:22,13-24

VERSION
This man page documents version 1.8.5 Vienna RNA Package.

AUTHORS
Peter F Stadler, Ivo L Hofacker, Sebastian Bonhoeffer.

BUGS
We hoped you wouldn't find them.
Comments should be sent to rna@tbi.univie.ac.at